Holger's Java API

## com.antelmann.math
Class Measurable.Adapter

    java.lang.Object
      com.antelmann.math.Measurable.Adapter

All Implemented Interfaces:
  Measurable, Serializable

Enclosing interface:
  Measurable

    public static class Measurable.Adapter

extends Object
implements Measurable

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface com.antelmann.math.Measurable
`Measurable.Adapter`

Constructor Summary
`Measurable.Adapter(Unit unit, Number number)`

Method Summary
`Number` `getAmount()` represents the quantity of this measurable entity
`Unit` `getUnit()` represents the unit type of this measurable entity
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Measurable.Adapter

    public Measurable.Adapter(Unit unit,
                              Number number)

Method Detail

### getUnit

    public Unit getUnit()

  Description copied from interface: `Measurable`
  represents the unit type of this measurable entity

  Specified by:
    `getUnit` in interface `Measurable`

### getAmount

    public Number getAmount()

  Description copied from interface: `Measurable`
  represents the quantity of this measurable entity

  Specified by:
    `getAmount` in interface `Measurable`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads